module main

import vweb
import sqlite

struct App {
	vweb.Context
pub mut:
	db sqlite.DB
	config Config
	is_admin bool
}

fn main() {
	mut app := &App{}

	app.config = load_config()

	app.db = sqlite.connect(app.config.db_path) or {
		println('Database Error!')
		panic(err)
	}

	app.create_tables()

	mut host := '::'

	if app.config.host != "" {
		host = app.config.host
	}

	vweb.run_at(app, vweb.RunParams{
		host: host
		port: app.config.port
		family: .ip6
	}) or { panic(err) }
}
